Subject: [bug#36535] [PATCH] gnu: gobject-introspection: Update absolute-shlib-path.patch.

From: Marius Bakke <[email-masked]>
Date: Fri, 12 Jul 2019 20:44:08 +0200

severity 36535 important

>>>> ++def _get_default_fallback_libpath():
>>>> ++    # Newer multiple-output-optimized stdenv has an environment variable
>>>> ++    # $outputLib which in turn specifies another variable which then is used as
>>>> ++    # the destination for the library contents (${!outputLib}/lib).
>>>> ++    store_path = os.environ.get(os.environ.get("outputLib")) if "outputLib" in os.environ else None
>>>> ++    if store_path is None:
>>>> ++        outputs = os.environ.get("outputs", "out").split()
>>>
>>> gnu-build-system does not currently export an "outputs" variable.
>>> Perhaps it should?
>>
>> Ah, I didn't realise this part of the patch was as Nix specific as it
>> is...
>>
>> At least for the change I was trying to affect, this seems to be
>> probably redundant, or somehow doing the job. Maybe this part of the
>> patch relating to the fallback_libpath should be removed.
>
> I'd keep the "$outputs" logic, it sounds like a useful and easy change
> to do in gnu-build-system, although maybe not for this 'core-updates'
> round.  We can use it in package recipes for fun and profit meanwhile.

We now have a user of the $outputs variable:

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=7555d539245ff3456848c02d61f9e601ee5af463

Incidentally, the package was broken because of the very same feature :-)

But we can not merge this with the hard-coded /gnu/store paths, as that
is likely to cause strange problems for users with a non-default store
prefix.

Unless someone steps up to fix it within a few days, I think we'll have
to revert it for now.